Should update nova api version to 2.1

Bug #1588171 reported by zhaobo on 2016-06-02
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
Fix Released
Undecided
Zhenyu Zheng
Cinder
Medium
Liusheng
OpenStack Heat
Fix Released
Undecided
huangtianhua
OpenStack Searchlight
Fix Released
Undecided
Zhenyu Zheng
neutron
Wishlist
M V P Nitesh
octavia
Fix Released
High
zhaobo
python-openstackclient
Fix Released
Undecided
QiangTang

Bug Description

The nova team has decided to removew nova v2 API code completly. And it will be merged
very soon: https://review.openstack.org/#/c/311653/

we should bump to use v2.1 ASAP

zhaobo (zhaobo6) on 2016-06-02
Changed in neutron:
assignee: nobody → zhaobo (zhaobo6)
affects: neutron → ceilometer
affects: ceilometer → neutron
Changed in searchlight:
assignee: nobody → Zhenyu Zheng (zhengzhenyu)
Changed in ceilometer:
assignee: nobody → Zhenyu Zheng (zhengzhenyu)
description: updated
Changed in searchlight:
status: New → In Progress
Changed in heat:
assignee: nobody → huangtianhua (huangtianhua)

Fix proposed to branch: master
Review: https://review.openstack.org/324232

Changed in neutron:
status: New → In Progress
Changed in ceilometer:
status: New → In Progress
zhaobo (zhaobo6) on 2016-06-02
Changed in cinder:
assignee: nobody → zhaobo (zhaobo6)
Changed in octavia:
assignee: nobody → zhaobo (zhaobo6)

Fix proposed to branch: master
Review: https://review.openstack.org/324236

Changed in heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/324242

Changed in cinder:
assignee: zhaobo (zhaobo6) → Liusheng (liusheng)
status: New → In Progress
Changed in octavia:
status: New → In Progress
zhaobo (zhaobo6) on 2016-06-02
no longer affects: designate
Changed in python-openstackclient:
assignee: nobody → Zhenyu Zheng (zhengzhenyu)
status: New → In Progress

Reviewed: https://review.openstack.org/324211
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=8ecf1fc99abcfb74f0d0c66d1cac9503beab1016
Submitter: Jenkins
Branch: master

commit 8ecf1fc99abcfb74f0d0c66d1cac9503beab1016
Author: Kevin_Zheng <email address hidden>
Date: Thu Jun 2 12:58:25 2016 +0800

    Bump to Nova v2.1

    The nova team has decided to removew nova v2
    API code completly. And it will be merged
    very soon: https://review.openstack.org/#/c/311653/
    we should bump to use v2.1 ASAP

    Closes-bug: #1588171
    Change-Id: I3181d4cb8562e92a2e954467ca0482fba787d30f

Changed in ceilometer:
status: In Progress → Fix Released

Change abandoned by Zhenyu Zheng (<email address hidden>) on branch: master
Review: https://review.openstack.org/324245

Changed in cinder:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/324242
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=c6143085639514473b163fd4457561dd4db5eb4e
Submitter: Jenkins
Branch: master

commit c6143085639514473b163fd4457561dd4db5eb4e
Author: liusheng <email address hidden>
Date: Thu Jun 2 14:48:56 2016 +0800

    Bump to Nova v2.1

    The Nova v2 API code has been completely removed from Nova by
    change[1]. Although Nova still supports v2 compatible API with the
    legacy endpoint, it is better to switch to use Nova v2.1 in Cinder.

    [1] https://review.openstack.org/#/c/311653/

    Change-Id: Iadd3363265be6c5a8ed46704a712da6c15e2b046
    Closes-bug: #1588171

Changed in cinder:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/324236
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=a07dccebe0575bdb45fdcfa7b343ad81095bf558
Submitter: Jenkins
Branch: master

commit a07dccebe0575bdb45fdcfa7b343ad81095bf558
Author: huangtianhua <email address hidden>
Date: Thu Jun 2 14:39:13 2016 +0800

    Migrate to nova api version 2.1

    The Nova v2 API code has been completely removed from Nova by
    change[1]. Although Nova still supports v2 compatible API with the
    legacy endpoint, it is better to switch to use Nova v2.1 in Heat.

    This change sets version='2.1' when init novaclient
    instance, then we can use novaclient v2 and will
    use nova api v2.1.

    [1] https://review.openstack.org/#/c/311653/

    Change-Id: I428abb4ca05847da8ffc2da7157aa5c34263a205
    Closes-Bug: #1588155
    Partial-Bug: #1588171

Changed in octavia:
importance: Undecided → High

Reviewed: https://review.openstack.org/324244
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=1896dfed5cc6ecbed818a13595af72cfe071b73b
Submitter: Jenkins
Branch: master

commit 1896dfed5cc6ecbed818a13595af72cfe071b73b
Author: ZhaoBo <email address hidden>
Date: Thu Jun 2 14:46:43 2016 +0800

    Update nova api version to 2.1

    The nova team has decided to remove nova v2 API code completely. And it
    had merged: https://review.openstack.org/#/c/311653/

    we should bump to use v2.1 ASAP

    Change-Id: Iee5582b5a74bceead2484684b214fca685dbaede
    Closes-Bug: #1588171

Changed in octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/324160
Committed: https://git.openstack.org/cgit/openstack/searchlight/commit/?id=3beda063f8a4e9ef273aaf14528436a6c857e1ba
Submitter: Jenkins
Branch: master

commit 3beda063f8a4e9ef273aaf14528436a6c857e1ba
Author: Kevin_Zheng <email address hidden>
Date: Thu Jun 2 09:24:11 2016 +0800

    Change Nova API version to V2.1

    The Nova API sub-team has decided to remove
    V2 API completely and it will be merged very
    soon: https://review.openstack.org/#/c/311653/

    We should change the current hard-coded v2
    to v2.1 until we can support microversions.

    Depends-On: I340322f86ae07bb86d77a79fbb0abeb25c5c6ead
    Closes-bug: #1588171
    Change-Id: Ie929d38eee36e09bfe5e7cee8eb67bfe1c26b7d6

Changed in searchlight:
status: In Progress → Fix Released

This issue was fixed in the openstack/cinder 9.0.0.0b2 development milestone.

This issue was fixed in the openstack/searchlight 1.0.0.0b2 development milestone.

This issue was fixed in the openstack/ceilometer 7.0.0.0b2 development milestone.

Changed in python-openstackclient:
assignee: Zhenyu Zheng (zhengzhenyu) → nobody

This issue was fixed in the openstack/octavia 0.9.0 release.

QiangTang (qtang) on 2016-09-28
Changed in python-openstackclient:
assignee: nobody → QiangTang (qtang)

Reviewed: https://review.openstack.org/378409
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=c9fd35a49675027eea430b72e1c1f756da093b21
Submitter: Jenkins
Branch: master

commit c9fd35a49675027eea430b72e1c1f756da093b21
Author: qtang <email address hidden>
Date: Wed Sep 28 16:49:59 2016 +0800

    Update default nova api version to 2.1

    Ref:https://review.openstack.org/#/c/311653/
    We should use 2.1 as the default nova version now

    The API_MIN_VERSION of novaclient has already changed to 2.1

    Change-Id: I9ff16cf052556e5d3756f81e02a8e76e8f315df5
    Closes-bug: #1588171

Changed in python-openstackclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/octavia 0.9.0 release.

Changed in neutron:
importance: Undecided → Low
importance: Low → Wishlist

This issue was fixed in the openstack/python-openstackclient 3.3.0 release.

Change abandoned by Armando Migliaccio (<email address hidden>) on branch: master
Review: https://review.openstack.org/324232
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

tags: added: low-hanging-fruit
Changed in neutron:
status: In Progress → Confirmed

This issue was fixed in the openstack/octavia 0.9.0 release.

This issue was fixed in the openstack/python-openstackclient 3.3.0 release.

This issue was fixed in the openstack/octavia 0.9.0 release.

Thomas Herve (therve) on 2017-02-24
Changed in heat:
status: In Progress → Fix Released
M V P Nitesh (m-nitesh) on 2017-05-15
Changed in neutron:
assignee: zhaobo (zhaobo6) → M V P Nitesh (m-nitesh)
Changed in neutron:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers